Farpoint Spread 3.0 on windows 7 .netFramework 4.5

Posted by: spaf123 on 8 September 2017, 3:15 pm EST

  • Posted 8 September 2017, 3:15 pm EST

    my winForm Application is use FarPoint Spread 3.0 on .netFramework 2 in Windows XP.

    The application was developed with Visual Studio 2005.

    We are going to upgrade that for windows 7, windows 8 with Visual Studio 2013.
    target environment is .netFramework 4.5 on Windows 7, Windows 8. ( x86,x64)

    I would like to know that we have to purchase new version or continue to use old version in Visual Studio 2013 ?

    Second, if we purchase new version, most of properties and methods of new version Spread are compatible with old version ?

    The reason of asking above is I would like to guess how much source code changes I have to do for upgrading.



    Thanks in advance.

    Best regards.

    Justin Lee.
  • Replied 8 September 2017, 3:15 pm EST

    Thanks for your very fast response and detail guide.

    you gave us the detail infomation and how to upgrade, how to do it.

    But I have another question,

    Is it possible we use old version 3 only recomplie our application from .netframework 2.0 to .netFramework 4.5 ,even if version 3 component does not show in toolbox in Visual Studio 2013?

    Simply asking, we are going to recompile our application to target .netframework 4.5 without changing source code.

    In that case, version 3 has no problem in runtime ? if it's not we are goint to purchase new version.

    Thanks again your kind and fast reply...

    Have a nice day..
  • Replied 8 September 2017, 3:15 pm EST

    Hello Justin,

    I would like to answer your queries in the same order in which you have asked them:
    1. Please note, FarPoint Spread 3.0 does not support Visual Studio 2013. The support of Visual Studio 2013 started from the Studio Enterprise 2013 v3. So, you will need to purchase the new version of FarPoint Spread.

    Please read more details from here:
    https://www.componentone.com/SuperPages/pressreleases/?newsID=114
    http://sphelp.grapecity.com/2014/03/03/spread-studio-for-net-7-v3-released/

    2. Yes, most of the properties and methods are same in v3 and latest version v7 but some have changed(Obsolete). The change required in code for upgrading your project would be based on your project requirements/implementation.
    How to upgrade an existing project? See the link given:
    http://helpcentral.componentone.com/NetHelp/SpreadNET7RM/WFRM/webframe.html#upgrade.html
    You can also find a number of posts about upgrading an existing project on Forum.

    Please go through the link below for new features and download link of latest Spread Studio:
    http://www.componentone.com/SuperProducts/SpreadStudio/


    Thanks & Regards,
    Pragati Kaushik
  • Replied 8 September 2017, 3:15 pm EST

    Hi,

    It should work fine to rebuild the project in VS2013 using Spread WinForms v3. The version 3 control should work fine in .NET 4.5.
    But you won't get any of the awesome enhancements we have added in later versions, for appearance, charting, sparklines, touch support, and more.

    You can download the latest version and try upgrading using the trial version, if you'd like to see the difference and compare. The project should not require any source changes to rebuild using the latest version (other than the project changes outlined in the upgrade instructions), as each later version API is designed to be 100% backwards compatible with earlier releases.

    Hope that helps!

    Regards,
    -Sean
  • Replied 8 September 2017, 3:15 pm EST

    Hi Justin,

    You may try using Spread 3 with VS 2013. Since this is a pretty older version which has never been tested with Visual Studio 2013, it would be really difficult to comment on its behavior. Please let us know if you face any issues while doing so.

    In addition to this, I would like to inform you that we would not be able to fix any reported issue in Spread 3 as it is no longer in active development. You are recommended to upgrade to the latest version of Spread as it gives you a lot more features and improves the performance.

    Hope it clarifies.

    Thanks.
  • Replied 8 September 2017, 3:15 pm EST

    Hi Miuser,

    Thanks for sharing your environment.
    Spread 9 will definitely work with mentioned environment.
    However, for purchase related queries, I rather suggest you to contact our sales team:

    Tel: 984-242-0700
    E-mail: spread.sales@grapecity.com

    Regards
  • Replied 8 September 2017, 3:15 pm EST

    Hi Shubham

    Thanks for your response. :)

    I have seen your web sites which has a prices of the product which is Spread Studio for .NET.
    Can you share me the approx. estimate cost for the Spread 9 which you have mentioned.

    So that i can then discuss about the product

    Thanks
  • Marked as Answer

    Replied 8 September 2017, 3:15 pm EST



    Pragati , Sean..

    Thanks a lot of your helps...

    It's clear and detail explain to my asking, very helpful to decide how to do.

    We'd like to purchase new version and rebuild projects.

    Thanks again for your greate helps...

    Regards,

    -Justin
  • Replied 8 September 2017, 3:15 pm EST

    Hi Justin,

    Glad to know we could help. Please feel free to revert in case you face any issues in future as well.

    Thanks.
  • Replied 8 September 2017, 3:15 pm EST

    my winForm Application is use FarPoint Spread 3.0 on .netFramework 2 in Windows XP.

    The application was developed with Visual Studio 2005.

    We are going to upgrade that for windows 7, windows 8 with Visual Studio 2013.
    target environment is .netFramework 4.5 on Windows 7, Windows 8. ( x86,x64)

    I had seen the Spread Studio for .NET and price of it. It includes spreadsheet components for WinForms, ASP.NET, WinRT, WPF. also includes SpreadJS. but i would only require 'components for WinForms' can you help us about the pricing and product information to cater my requirement

    thanks
    Miuser
  • Replied 8 September 2017, 3:15 pm EST

    Hi,

    Sales would be happy to answer questions like that. You can email them at: spread.sales@grapecity.com.

    -Gina
  • Replied 8 September 2017, 3:15 pm EST

    Actually I want to know that can we only buy http://sphelp.grapecity.com/WebHelp/SpreadNet9/WF/spwin-welcome.html

    because we will only required SpreadNet9 only for over product
    Thanks
Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels